Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Syntax.Internal.SanityCheck

Description

Sanity checking for internal syntax. Mostly checking variable scoping.

Synopsis

- sanityCheckVars :: (Pretty a, FreeVS a) => Telescope -> a -> TCM ()
- sanityCheckSubst :: (Pretty a, FreeVS a) => Telescope -> Substitution' a -> Telescope -> TCM ()

# Documentation

sanityCheckVars :: (Pretty a, FreeVS a) => Telescope -> a -> TCM () #

sanityCheckSubst :: (Pretty a, FreeVS a) => Telescope -> Substitution' a -> Telescope -> TCM () #

Check that `Γ ⊢ ρ : Δ`.